# Manual d'usuari del &kde;

Kevin
Krammer

    kevin.krammer@gmx.at

Autor
08-09-2005
Entorn d'escriptori K
kabcclient
1

# kabcclient

Client de línia d'ordres per a la llibreta d'adreces de &kde;

    kabcclient  -A -R -M -S -L  --match-case --nosave -ic codec -if format -if-opts opcions-format -oc codec -of format -of-opts opcions-format  data-entrada

## Descripció

`kabcclient` permet accés mitjançant la línia d'ordres a la llibreta d'adreces de &kde;, per exemple en scripts de l'intèrpret d'ordres. Admet entrada des de stdin a través d'arguments addicionals en la línia d'ordres. La sortida sempre s'escriurà a stdout.

## Opcions

Modes d'operació
  `-A, --add`

    Afegeix una nova entrada de contacte a la llibreta d'adreces.

  `-R, --remove`

    Elimina una entrada de contacto existent de la llibreta d'adreces.

  `-M, --merge`

    Fusiona les dades d'entrada amb un contacte existent en la llibreta d'adreces. Això afegeix la nova informació a la ja existent.

  `-S, --search`

    Cerca a la llibreta d'adreces les entrades de contactes que coincideixin.

  `-L, --list`

    Mostra totes les entrades de la llibreta d'adreces.

Opcions d'entrada
  `-ic, --input-codec`

    Codifica el text introduït mitjançant una codificació de text establerta. Veure `-ic` ajuda per a informació addicional sobre codecs d'entrada. Per omissió local és la que usarà el codificador per a les preferències actuals de locale 5.

  `-if, --input-format`

    Analitza el text introduït d'acord amb les regles de format indicades. Veure `-if` help per als formats disponibles. Per omissió és search.

  En comptes de llegir el text introduït, kabcclient pot mostrar un diàleg per a seleccionar els contactes utilitzant el format de l'entrada.

    diàleg

  `-if-opts, --input-format-options`

    Opcions addicionals per al formato d'entrada seleccionat. Pot ser opcional, igual que el mandat depenent del format. Veure `-if-opts` help per a les opcions de format disponibles.

Opcions de sortida
  `-oc, --output-codec`

    Codifica el text de sortida mitjançant una codificació especificada. Veure `-oc` help per a informació addicional sobre els codificadors actuals. Per omissió local és el codificador que s'utilitzarà per a les preferències actuals de locale 5.

  `-of, --output-format`

    Formats de text de sortida d'acord amb les regles de format indicades. Veure `-of` help per als formats disponibles. Per omissió és vcard.

  `-of-opts, --output-format-options`

    Opcions addicionals per al format de sortida triat. Pot ser opcional, igual que el mandat, depenent del format. Veure `-of-opts` help per a les opcions de format disponibles.

Opcions addicionals
  `--match-case`

    Utilitza la coincidència sensible de text en comprar el text introduït amb les entrades de contactes.

  `--nosave`

    Realitza operacions de canvi d'informació com `-A, -R` o `-M` només en memòria, però no escriu els canvis en la llibreta d'adreces.

## Diagnòstics

Com de costum, un estat de sortida 0, indica èxit. Depenent del mode d'operació triat, un estat de sortida diferent de 0, indica que l'aplicació ha detectat un problema.

AFEGEIX
  `1`

    Error en llegir el text introduït.

  `2`

    Ha fallat la creació d'una entrada de contacte correcta a partir del text introduït, p.ex. sense dades o format incorrecte del text d'entrada per al format d'entrada triat.

  `3`

    Error en desar els canvis a la llibreta d'adreces. Per exemple això es pot deure a que actualment hi ha altres aplicacions bloquejant la llibreta d'adreces.

ESBORRA
  `1`

    Error en llegir el text introduït.

  `2`

    El programa podria no esborrar contactes de la llibreta d'adreces. Això es pot deure per un error en analitzar el text introduït, falla en trobar l'entrada del contacte en la llibreta d'adreces o en trobar més d'un contacte idèntic en la llibreta d'adreces. En l'últim cas, s'escriurà un missatge d'error a stderr.

  `3`

    Error en desar els canvis a la llibreta d'adreces. Per exemple això es pot deure a que actualment hi ha altres aplicacions bloquejant la llibreta d'adreces.

FUSIONA
  `1`

    Error en llegir el text introduït.

  `2`

    El programa podria no fusionar l'entrada amb cap entrada de contacte de la llibreta d'adreces. Això es pot deure per una falla en analitzar el text introduït, falla en trobar el contacte a la llibreta d'adreces o en trobar més d'una coincidència. En l'últim cas, s'escriurà un missatge d'error a stderr.

  `3`

    Error en desar els canvis a la llibreta d'adreces. Per exemple això es pot deure a que actualment hi ha altres aplicacions bloquejant la llibreta d'adreces.

  CERCA
  `1`

    Error en llegir el text introduït.

  `2`

    El programa podria no trobar cap coincidència d'entrada de contacte a la llibreta d'adreces. Això es pot deure a una falla en analitzar el text introduït, o una falla en trobar el contacte a la llibreta d'adreces.

## Exemples

Cercar entrades de contacte amb «Jordi» en el nom o en l'adreça de correu.

    kabcclient -S Jordi

Fer el mateix utilitzant coincidència sensible.

    kabcclient --match-case -S Jordi

Fer el mateix llegint el text introduït a stdin.

    echo "Jordi" | kabcclient --match-case -S

Intentar afegir una nova entrada de contacte utilitzant informació d'una adreça de correu amb format.

    kabcclient --nosave --add -if email "Marilyn Monroe <mmonroe@moviestars.com>"

Fer el mateix però aquesta vegada desant realment a la llibreta d'adreces canviada.

    kabcclient --add -if email "Marilyn Monroe <mmonroe@moviestars.com>"

Mostrar els formats d'entrada disponibles.

    kabcclient -if help

Mostrar els formats de sortida disponibles.

    kabcclient -of help

Mostrar les opcions disponibles per al format de sortida «email».

    kabcclient -of email -of-opts help

Mostrar totes les adreces de correu electrònic de tots els contactes que continguin «Marilyn».

    kabcclient -of email -of-opts allemails -S Marilyn

Esborrar tots els contactes seleccionats en el diàleg de selecció de contactes.

    kabcclient --remove -if dialog

Exportar els contactes seleccionats a un fitxer VCard (formato de sortida per omissió).

    kabcclient -S -if dialog > contacts.vcf

## Autor

Aquest manual fou escrit per en Kevin Krammer <kevin.kramer@gmx.at>. Es permet la còpia, distribució o modificació d'aquest document sota els termes de la Llicencia Pública General de GNU, versió 2 o qualsevol versió posterior publicada per la Free Software Foundation.

En sistemes Debian, el text complet de la Llicencia Pública General de GNU es pot trobar a /usr/share/common-licenses/GPL.